# Generated by Django 3.2.2 on 2022-06-09 17:52

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Collection',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('url', models.CharField(max_length=128, unique=True, verbose_name='地址')),
                ('name', models.CharField(max_length=64, verbose_name='名称')),
                ('description', models.CharField(blank=True, default='', max_length=256, verbose_name='描述')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='创建时间')),
                ('is_active', models.BooleanField(default=True, verbose_name='有效')),
            ],
            options={
                'verbose_name': '数字藏品集',
                'verbose_name_plural': '数字藏品集',
                'ordering': ('-create_time',),
            },
        ),
        migrations.CreateModel(
            name='Contract',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('address', models.CharField(max_length=64, unique=True, verbose_name='地址')),
                ('is_active', models.BooleanField(default=True, verbose_name='有效')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='创建时间')),
            ],
            options={
                'verbose_name': '合约',
                'verbose_name_plural': '合约',
                'ordering': ('-create_time',),
            },
        ),
        migrations.CreateModel(
            name='Wallet',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('address', models.CharField(max_length=64, unique=True, verbose_name='地址')),
                ('name', models.CharField(blank=True, default='', max_length=64, verbose_name='名称')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='创建时间')),
                ('is_active', models.BooleanField(default=True, verbose_name='有效')),
            ],
            options={
                'verbose_name': '钱包',
                'verbose_name_plural': '钱包',
                'ordering': ('-create_time',),
            },
        ),
        migrations.CreateModel(
            name='NFT',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('token_id', models.PositiveIntegerField(default=0, verbose_name='编号')),
                ('attributes', models.CharField(blank=True, default='', max_length=256, verbose_name='参数')),
                ('preview_url', models.URLField(blank=True, default='', max_length=256, verbose_name='预览地址')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='创建时间')),
                ('is_active', models.BooleanField(default=True, verbose_name='有效')),
                ('collection', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='web3.collection', verbose_name='数字藏品集')),
                ('wallet', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='web3.wallet', verbose_name='钱包')),
            ],
            options={
                'verbose_name': '数字藏品',
                'verbose_name_plural': '数字藏品',
                'ordering': ('-create_time',),
            },
        ),
        migrations.AddField(
            model_name='collection',
            name='contract',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, to='web3.contract', verbose_name='合约'),
        ),
    ]
