# Generated by Django 3.2.2 on 2022-06-15 14:25

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('web3', '0001_initial'),
    ]

    operations = [
        migrations.AddField(
            model_name='nft',
            name='name',
            field=models.CharField(blank=True, default='', max_length=64, verbose_name='名称'),
        ),
        migrations.AlterUniqueTogether(
            name='nft',
            unique_together={('collection', 'token_id')},
        ),
        migrations.CreateModel(
            name='Transaction',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('hash', models.CharField(blank=True, max_length=66, unique=True, verbose_name='编号')),
                ('method', models.TextField(db_index=True, max_length=64, verbose_name='方法')),
                ('value', models.DecimalField(blank=True, decimal_places=6, default=0, max_digits=20, verbose_name='价值')),
                ('value_in_dolar', models.DecimalField(blank=True, decimal_places=2, default=0, max_digits=20, verbose_name='价值(美元)')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='创建时间')),
                ('from_addr', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='transactions_started', to='web3.wallet', verbose_name='钱包')),
                ('to_addr', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='transactions_received', to='web3.wallet', verbose_name='钱包')),
            ],
            options={
                'verbose_name': '事务',
                'verbose_name_plural': '事务',
                'ordering': ('-create_time',),
            },
        ),
    ]
